Subject: Re: [RFC 1/3] net: dsa: add basic support for VLAN ndo

From: Guenter Roeck <[email-masked]>
Date: Fri, 29 May 2015 15:15:23 -0700

On 05/29/2015 08:51 AM, Or Gerlitz wrote:
> On Fri, May 29, 2015 at 6:38 PM, Vivien Didelot
> <[email-masked]> wrote:
>> Hi,
>>
>> ----- On May 29, 2015, at 11:24 AM, Or Gerlitz [email-masked] wrote:
>>
>>> On Fri, May 29, 2015 at 12:37 AM, Vivien Didelot
>>> <[email-masked]> wrote:
>>>> @@ -854,7 +922,9 @@ int dsa_slave_create(struct dsa_switch *ds, struct device
>>>> *parent,
>>>>          if (slave_dev == NULL)
>>>>                  return -ENOMEM;
>>>>
>>>> -       slave_dev->features = master->vlan_features;
>>>> +       slave_dev->features = master->vlan_features |
>>>> +               NETIF_F_VLAN_FEATURES |
>>>> +               NETIF_F_HW_SWITCH_OFFLOAD;
>>>
>>> wait... didn't commit 7889cbee8357aaed85898d028829dfb4f75bae2c  remove
>>> NETIF_F_HW_SWITCH_OFFLOAD?
>>
>> Indeed, note that this RFC is based on v4.1-rc3. This will become unneeded I guess.
>
>
> You should rebase networking patches proposed for the next kernel
> against the net-next tree.
>
>> BTW, given the commit message, I didn't really understand why?
>
> M2, I thought it was unsuccessful commit message and made a comment to
> the maintainer, he didn't accept it.
>
Vivien,

sorry for asking for an early set of your patches. Obviously the idea was not
to create trouble for anyone :-(. I wasn't aware that netdev only accepts patches
which apply to the latest net-next, even if sent as RFC. My fault, I guess.

Maybe next time we can share patches in private first if we have a similar
situation ?

Thanks,
Guenter